Index: doc/options.txt
===================================================================
--- doc/options.txt	(revision 4105)
+++ doc/options.txt	(working copy)
@@ -507,11 +507,9 @@
 === Miscellaneous options ===
 
 ;--max-jobs[=integer]
-: 	When number is specified, allow that number of maps to be
-processed concurrently. If number is not specified, the limit
-is set equal to the number of CPU cores. If this option is not
-given at all, the limit is 1 (i.e., the maps are processed
-sequentially).
+: 	Specify the number of threads to be used for concurrent processing.
+If no value is specified, or the option is not given at all, the limit
+is set to the number of CPU cores.
 <p>
 ;--keep-going
 : 	Don't quit whole application if an exception occurs while
Index: resources/help/en/options
===================================================================
--- resources/help/en/options	(revision 4105)
+++ resources/help/en/options	(working copy)
@@ -499,11 +499,9 @@
 Miscellaneous options:
 
 --max-jobs[=integer]
-	When number is specified, allow that number of maps to be
-	processed concurrently. If number is not specified, the limit
-	is set equal to the number of CPU cores. If this option is not
-	given at all, the limit is 1 (i.e., the maps are processed
-	sequentially).
+	Specify the number of threads to be used for concurrent processing.
+	If no value is specified, or the option is not given at all, the limit
+	is set to the number of CPU cores.
 
 --keep-going
 	Don't quit whole application if an exception occurs while
Index: src/uk/me/parabola/mkgmap/main/Main.java
===================================================================
--- src/uk/me/parabola/mkgmap/main/Main.java	(revision 4104)
+++ src/uk/me/parabola/mkgmap/main/Main.java	(working copy)
@@ -85,7 +85,7 @@
 	private final List<FilenameTask> futures = new LinkedList<>();
 	private ExecutorService threadPool;
 	// default number of threads
-	private int maxJobs = 1;
+	private int maxJobs = Runtime.getRuntime().availableProcessors();
 
 	private boolean createTdbFiles = false;
 	private boolean tdbBuilderAdded = false;
